<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ListResponseMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $listType = null;
    


    protected $singleSelectReply = null;
    


    protected $contextInfo = null;
    


    protected $description = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getListType()
    {
        return isset($this->listType) ? $this->listType : 0;
    }

    public function hasListType()
    {
        return isset($this->listType);
    }

    public function clearListType()
    {
        unset($this->listType);
    }

    




    public function setListType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\ListResponseMessage\ListType::class);
        $this->listType = $var;

        return $this;
    }

    



    public function getSingleSelectReply()
    {
        return $this->singleSelectReply;
    }

    public function hasSingleSelectReply()
    {
        return isset($this->singleSelectReply);
    }

    public function clearSingleSelectReply()
    {
        unset($this->singleSelectReply);
    }

    




    public function setSingleSelectReply($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ListResponseMessage\SingleSelectReply::class);
        $this->singleSelectReply = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getDescription()
    {
        return isset($this->description) ? $this->description : '';
    }

    public function hasDescription()
    {
        return isset($this->description);
    }

    public function clearDescription()
    {
        unset($this->description);
    }

    




    public function setDescription($var)
    {
        GPBUtil::checkString($var, True);
        $this->description = $var;

        return $this;
    }

}

